package com.heyu.api.data.enums;

public enum OrderStatusEnums {

    // create:订单创建,wait_pay:待支付,支付完成,待发货:wait_shipping,买家申请取消订单:apply_cancel, 买家关闭订单:close，已发货，运送中:shipping,已投递，比如入到快递柜:shipped,同意签收:agree_sign_receipt,拒绝签收:reject_sign_receipt,包裹返回:package_return,包裹卖家签收:package_seller_sign_receipt,已妥投:delivered,退款:refund,删除:delete
    create("create","订单创建"),

    wait_pay("wait_pay","待支付"),

    wait_shipping("wait_shipping","支付完成,待发货"),

    apply_cancel("apply_cancel","买家申请取消订单"),

    cancel("cancel","卖家同意取消"),

    close("close","买家关闭订单"),

    shipping("shipping","已发货，运送中"),

    shipped("shipped", "已投递，比如入到快递柜"),

    agree_sign_receipt("agree_sign_receipt", "同意签收"),

    reject_sign_receipt("reject_sign_receipt", "拒绝签收"),

    package_return("package_return","包裹返回"),

    package_seller_sign_receipt("package_seller_sign_receipt","包裹卖家签收"),

    delivered("delivered","已妥投"),

    refund("refund","退款"),

    delete("delete","删除"),





    ;


    OrderStatusEnums(String status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    private String status;

    private String desc;


    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
